<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: BWHorizontalTableViewCell.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7fb163a4dc89aca96d4e26f985650b07.html">YLYL</a></li><li class="navelem"><a class="el" href="dir_8f6c78d92b415dfcccfa2f3a69d58ce9.html">Utitlity</a></li><li class="navelem"><a class="el" href="dir_2d1d03eba1d6c6e36289f475fb1793bf.html">JokesHorizontalTableViewBar</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BWHorizontalTableViewCell.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  BWHorizontalTableViewCell.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  HorizontalTableView</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by wangruicheng on 12/26/15.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright (c) 2016 Burrows Wang.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// of this software and associated documentation files (the &quot;Software&quot;), to deal</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// in the Software without restriction, including without limitation the rights</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// copies or substantial portions of the Software.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">// SOFTWARE.</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="interface_b_w_horizontal_table_view_cell.html">   28</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_b_w_horizontal_table_view_cell.html">BWHorizontalTableViewCell</a> : UIView</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="interface_b_w_horizontal_table_view_cell.html#afcff9649a9916b3dec6f9b144a6ecbf1">   33</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly, copy) NSString              *<a class="code" href="interface_b_w_horizontal_table_view_cell.html#afcff9649a9916b3dec6f9b144a6ecbf1">reuseIdentifier</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="interface_b_w_horizontal_table_view_cell.html#a4b35890c2905a3b277074e7d87b807a0">   39</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) UITableViewCellSelectionStyle <a class="code" href="interface_b_w_horizontal_table_view_cell.html#a4b35890c2905a3b277074e7d87b807a0">selectionStyle</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="interface_b_w_horizontal_table_view_cell.html#ab77f5369f39fe910adcf98175297040c">   44</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIColor                       *<a class="code" href="interface_b_w_horizontal_table_view_cell.html#ab77f5369f39fe910adcf98175297040c">maskColor</a>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;- (instancetype)initWithReuseIdentifier:(NSString *)reuseIdentifier;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;- (void)<a class="code" href="interface_b_w_horizontal_table_view_cell.html#a65994d4bd0948d979f582cbcdc745d1a">prepareForReuse</a>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_b_w_horizontal_table_view_cell_html_a65994d4bd0948d979f582cbcdc745d1a"><div class="ttname"><a href="interface_b_w_horizontal_table_view_cell.html#a65994d4bd0948d979f582cbcdc745d1a">-[BWHorizontalTableViewCell prepareForReuse]</a></div><div class="ttdeci">void prepareForReuse()</div><div class="ttdef"><b>Definition:</b> BWHorizontalTableViewCell.m:85</div></div>
<div class="ttc" id="ainterface_b_w_horizontal_table_view_cell_html_ab77f5369f39fe910adcf98175297040c"><div class="ttname"><a href="interface_b_w_horizontal_table_view_cell.html#ab77f5369f39fe910adcf98175297040c">BWHorizontalTableViewCell::maskColor</a></div><div class="ttdeci">UIColor * maskColor</div><div class="ttdef"><b>Definition:</b> BWHorizontalTableViewCell.h:44</div></div>
<div class="ttc" id="ainterface_b_w_horizontal_table_view_cell_html_a4b35890c2905a3b277074e7d87b807a0"><div class="ttname"><a href="interface_b_w_horizontal_table_view_cell.html#a4b35890c2905a3b277074e7d87b807a0">BWHorizontalTableViewCell::selectionStyle</a></div><div class="ttdeci">UITableViewCellSelectionStyle selectionStyle</div><div class="ttdef"><b>Definition:</b> BWHorizontalTableViewCell.h:39</div></div>
<div class="ttc" id="ainterface_b_w_horizontal_table_view_cell_html"><div class="ttname"><a href="interface_b_w_horizontal_table_view_cell.html">BWHorizontalTableViewCell</a></div><div class="ttdef"><b>Definition:</b> BWHorizontalTableViewCell.h:28</div></div>
<div class="ttc" id="ainterface_b_w_horizontal_table_view_cell_html_afcff9649a9916b3dec6f9b144a6ecbf1"><div class="ttname"><a href="interface_b_w_horizontal_table_view_cell.html#afcff9649a9916b3dec6f9b144a6ecbf1">BWHorizontalTableViewCell::reuseIdentifier</a></div><div class="ttdeci">NSString * reuseIdentifier</div><div class="ttdef"><b>Definition:</b> BWHorizontalTableViewCell.h:33</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
